<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [switchCity](./bitburner.bladeburner.switchcity.md)

## Bladeburner.switchCity() method

Travel to another city in Bladeburner.

**Signature:**

```typescript
switchCity(city: CityName | `${CityName}`): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of city. Case-sensitive |

**Returns:**

boolean

true if successful, and false otherwise

## Remarks

RAM cost: 4 GB Attempts to switch to the specified city (for Bladeburner only).

Returns true if successful, and false otherwise

